/*
* Copyright (c) 2018-2999 广州市蓝海创新科技有限公司 All rights reserved.
*
* https://www.mall4j.com/
*
* 未经允许，不可做商业用途！
*
* 版权所有，侵权必究！
*/
import request from '@/utils/request'

export function shopUserInfo () {
  return request({
    url: '/mall4cloud_admin/s/apply_supplier/supplier_user/info',
    method: 'get'
  })
}

export function page (pageParam) {
  return request({
    url: '/mall4cloud_admin/s/supplier_user/page',
    method: 'get',
    params: pageParam
  })
}

export function get (supplierUserId) {
  return request({
    url: '/mall4cloud_admin/s/supplier_user',
    method: 'get',
    params: {
      supplierUserId
    }
  })
}

export function save (data) {
  return request({
    url: '/mall4cloud_admin/s/supplier_user',
    method: 'post',
    data
  })
}

export function update (data) {
  return request({
    url: '/mall4cloud_admin/s/supplier_user',
    method: 'put',
    data
  })
}

export function deleteById (supplierUserId) {
  return request({
    url: '/mall4cloud_admin/s/supplier_user',
    method: 'delete',
    params: {
      supplierUserId
    }
  })
}
// 验证手机号/邮箱/用户名
export function verifyAccount (data) {
  return request({
    url: '/mall4cloud_admin/s/supplier_user/verify_account',
    method: 'get',
    params: data
  })
}
